Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Install "sudo apt install fontconfig " package #597

Closed
rstade opened this issue Jul 18, 2019 · 2 comments · Fixed by #598

Comments

@rstade
Copy link

commented Jul 18, 2019

Hi,
I recently did a clean install of Openhabian 1.4.1. When I tried to generate charts with Openhab, I run into an error, which also other Opnhab users observed: see e.g. https://community.openhab.org/t/problem-chart-generation-failed-null/77848.

After I manually installed package fontconfig, chart generation worked immediately. I propose to add package fontconfig to the next Openhabian release, especially since the root cause was difficult to detect.

Rainer

@ThomDietrich

This comment has been minimized.

Copy link
Member

commented Jul 18, 2019

I remember the issue but why didn't it come up in the openHABian project before? Probabl because almost no user of openHAB really uses the integrated graphing option but goes with Grafana instead :) Maybe this is also a newer issue introduced by the last version of Rasbian? Who knows.

I guess nothing speaks against just installing fontconfig by default. What do the others think?

@EliasGabrielsson EliasGabrielsson changed the title missing fontconfig package Install "sudo apt install fontconfig " package Jul 22, 2019
@EliasGabrielsson EliasGabrielsson added this to the Image v1.5 milestone Jul 22, 2019
@EliasGabrielsson

This comment has been minimized.

Copy link
Contributor

commented Jul 22, 2019

Add fontconfig to base installation

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.